package Modules;

import Controll.GuildController;
import Controll.SuperModule;
import net.dv8tion.jda.api.EmbedBuilder;
import net.dv8tion.jda.api.events.GenericEvent;
import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;
import org.json.simple.JSONObject;

public class Stats extends SuperModule {

    public static final String COMMAND = "stats";

    public Stats(GuildController guildController, JSONObject config) {
        super(COMMAND, guildController, config);


    }

    @Override
    public String getCommand() {
        return COMMAND;
    }

    @Override
    public String getDescription() {
        return "Shows some statistics about this Guild";
    }

    @Override
    public void execute(GenericEvent event) {

        if (event instanceof GuildMessageReceivedEvent){

            GuildMessageReceivedEvent input = (GuildMessageReceivedEvent) event;

            if (isCommand(input.getMessage())){

                EmbedBuilder eb = new EmbedBuilder()
                        .setTitle("Current stats")
                        .addField("Usercount", input.getGuild().getMemberCount()+"", true)
                        .addField("Rolecount", input.getGuild().getRoles().size()+"", true)
                        .setImage(input.getGuild().getIconUrl());

                input.getChannel().sendMessage(eb.build()).queue();
            }
        }
    }

    @Override
    public String showSettings() {
        return null;
    }
}
